Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233138 - hardware.out shows more devices that was tested
Summary: hardware.out shows more devices that was tested
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 16:36 UTC by Rob Landry
Modified: 2008-07-16 21:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-21 16:25:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rob Landry 2007-03-20 16:36:39 UTC
Description of problem:

hardware.redhat.com shows more devices under hardware details than was tested
(as well it's still missing the specific device entries).

An example can be seen in 

hts-SGI-Altix4700-Tikanga5_ia64_results-2.noarch.rpm] 
52e182271cbdf690be24394006eef99e

in 

http://hardware.redhat.com/hwcert/show.cgi?id=230481

the hardware.out is showing eth0-6 while the test only tested eth6.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Greg Nichols 2007-03-20 16:49:28 UTC
please attach the output of "hal-device"

- Thanks!

Comment 2 Rob Landry 2007-03-20 16:55:01 UTC
I don't have this system; there may be one in westford; and or the above link
will give you the results package; no chance we capture something useful in there?

Comment 3 Greg Nichols 2007-03-20 16:59:00 UTC
I'm looking for a complete hal dump - as the question is - are the five other
devices known to hal, or not?   This information is not in the results package.

Comment 4 Rob Landry 2007-03-20 17:06:52 UTC
We'll have to SGI, I thought the INFO run would have the complete hal dump, not so?

Comment 5 Greg Nichols 2007-03-20 17:13:11 UTC
Yes, it does.  This shows eth0 and eth1.



Comment 6 Rob Landry 2007-03-20 21:12:41 UTC
http://hardware.redhat.com/hwcert/results.cgi?cert_id=231325&id=51403 also shows
this problem.  hardware.out shows 0,1,2,3 test logs show 0,2,3.

Comment 7 Rob Landry 2007-03-20 21:14:21 UTC
another run in the same results package shows logs for 0,1,2,3.

Comment 8 Greg Nichols 2007-05-08 11:43:52 UTC
We need to know how many devices should have been tested in each case, so that
we can tell whether the problem is with the hardware, HTS, RHEL, or the test set-up.


Note You need to log in before you can comment on or make changes to this bug.